Subject: Re: why does tcp_v[46]_conn_request not inc MIB stats

From: Rick Jones <[email-masked]>
Date: Tue, 18 Sep 2007 10:14:57 -0700

Andi Kleen wrote:
> David Miller <[email-masked]> writes:
> 
> 
>>This is limiting embryonic mini-socket creation.  The listen overflow
>>should only increment when the 3-way handshake completion is aborted
>>because the listening socket limit is exceeded, which is entirely
>>different from the embryonic limit.
> 
> 
> That's true, but I think Rick has a point in that there should 
> be some sort of (different) counter counting this.  In general
> I believe every point in the stack who drops a packet should
> have a statistics counter so that it can be later diagnosed.
> 
> Rick, the best way to get such a counter in is to just send a patch,
> don't ask for it.

I will try to work something up after cleaning-up the other listenq 
patch to remove the /proc/net/tcp[6] stuff, and an iproute2 patch I have 
to allow setting rto_min, rtt and rttvar using tc-esque units.

rick jones